OGRE: Ogre::ParticleSystemRendererFactory Class Reference

| OGRE 2.2.4 Object-Oriented Graphics Rendering Engine

Public Member Functions | Public Attributes | List of all members
Ogre::ParticleSystemRendererFactory Class Referenceabstract
Core » Effects

Abstract class definition of a factory object for ParticleSystemRenderer. More...

`#include <OgreParticleSystemRenderer.h>`

Inheritance diagram for Ogre::ParticleSystemRendererFactory:
[legend]

## Public Member Functions
| ParticleSystemRendererFactory ()
virtual ParticleSystemRenderer * | createInstance (const String &name)=0
| Creates a new object. More...
virtual void | destroyInstance (ParticleSystemRenderer *ptr)=0
| Destroys an object which was created by this factory. More...
virtual const String & | getType () const=0
| Returns the factory type. More...
void | operator delete (void *ptr)
void | operator delete (void *ptr, const char *, int, const char *)
void | operator delete (void *ptr, void *)
void | operator delete[] (void *ptr)
void | operator delete[] (void *ptr, const char *, int, const char *)
void * | operator new (size_t sz)
void * | operator new (size_t sz, const char *file, int line, const char *func)
| operator new, with debug line info More...
void * | operator new (size_t sz, void *ptr)
| placement operator new More...
void * | operator new[] (size_t sz)
void * | operator new[] (size_t sz, const char *file, int line, const char *func)
| array operator new, with debug line info More...

## Public Attributes
SceneManager * | mCurrentSceneManager
| Needs to be set directly before calling createInstance. More...

## Detailed Description

Abstract class definition of a factory object for ParticleSystemRenderer.

## Constructor & Destructor Documentation

## ◆ ParticleSystemRendererFactory()

Ogre::ParticleSystemRendererFactory::ParticleSystemRendererFactory | ( |  | ) |
| inline

## Member Function Documentation

## ◆ createInstance()

virtual ParticleSystemRenderer * Ogre::FactoryObj< ParticleSystemRenderer >::createInstance | ( | const String & | name | ) |
| pure virtualinherited

Creates a new object.

Parameters

  name | Name of the object to create

Returns
  An object created by the factory. The type of the object depends on the factory.

Implemented in Ogre::v1::BillboardParticleRendererFactory.

## ◆ destroyInstance()

virtual void Ogre::FactoryObj< ParticleSystemRenderer >::destroyInstance | ( | ParticleSystemRenderer * | ptr | ) |
| pure virtualinherited

Destroys an object which was created by this factory.

Parameters

  ptr | Pointer to the object to destroy

Implemented in Ogre::v1::BillboardParticleRendererFactory.

## ◆ getType()

virtual const String& Ogre::FactoryObj< ParticleSystemRenderer >::getType | ( | void |  | ) |
| pure virtualinherited

Returns the factory type.

Returns
  The factory type.

## ◆ operator delete() [1/3]

template<class Alloc >

void Ogre::AllocatedObject< Alloc >::operator delete | ( | void * | ptr | ) |
| inlineinherited

## ◆ operator delete() [2/3]

template<class Alloc >

void Ogre::AllocatedObject< Alloc >::operator delete | ( | void * | ptr,
|  | const char * | ,
|  | int | ,
|  | const char * |
| ) |  |
| inlineinherited

## ◆ operator delete() [3/3]

template<class Alloc >

void Ogre::AllocatedObject< Alloc >::operator delete | ( | void * | ptr,
|  | void * |
| ) |  |
| inlineinherited

## ◆ operator delete[]() [1/2]

template<class Alloc >

void Ogre::AllocatedObject< Alloc >::operator delete[] | ( | void * | ptr | ) |
| inlineinherited

## ◆ operator delete[]() [2/2]

template<class Alloc >

void Ogre::AllocatedObject< Alloc >::operator delete[] | ( | void * | ptr,
|  | const char * | ,
|  | int | ,
|  | const char * |
| ) |  |
| inlineinherited

## ◆ operator new() [1/3]

template<class Alloc >

void* Ogre::AllocatedObject< Alloc >::operator new | ( | size_t | sz | ) |
| inlineinherited

## ◆ operator new() [2/3]

template<class Alloc >

void* Ogre::AllocatedObject< Alloc >::operator new | ( | size_t | sz,
|  | const char * | file,
|  | int | line,
|  | const char * | func
| ) |  |
| inlineinherited

operator new, with debug line info

## ◆ operator new() [3/3]

template<class Alloc >

void* Ogre::AllocatedObject< Alloc >::operator new | ( | size_t | sz,
|  | void * | ptr
| ) |  |
| inlineinherited

placement operator new

## ◆ operator new[]() [1/2]

template<class Alloc >

void* Ogre::AllocatedObject< Alloc >::operator new[] | ( | size_t | sz | ) |
| inlineinherited

## ◆ operator new[]() [2/2]

template<class Alloc >

void* Ogre::AllocatedObject< Alloc >::operator new[] | ( | size_t | sz,
|  | const char * | file,
|  | int | line,
|  | const char * | func
| ) |  |
| inlineinherited

array operator new, with debug line info

## Member Data Documentation

## ◆ mCurrentSceneManager

SceneManager* Ogre::ParticleSystemRendererFactory::mCurrentSceneManager

Needs to be set directly before calling createInstance.

The documentation for this class was generated from the following file:

- OgreParticleSystemRenderer.h